package examenes.examen20250509.modelo;

import java.util.Date;

public class Concierto {
    private int id;
    private Date fecha;
    private float precio;
    private boolean es_festival;
    private int sala_id;
    private int grupo_id;

    public Concierto(int id, Date fecha, float precio, boolean es_festival, int sala_id, int grupo_id) {
        this.id = id;
        this.fecha = fecha;
        this.precio = precio;
        this.es_festival = es_festival;
        this.sala_id = sala_id;
        this.grupo_id = grupo_id;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public Date getFecha() {
        return fecha;
    }

    public void setFecha(Date fecha) {
        this.fecha = fecha;
    }

    public float getPrecio() {
        return precio;
    }

    public void setPrecio(float precio) {
        this.precio = precio;
    }

    public boolean isEs_festival() {
        return es_festival;
    }

    public void setEs_festival(boolean es_festival) {
        this.es_festival = es_festival;
    }

    public int getSala_id() {
        return sala_id;
    }

    public void setSala_id(int sala_id) {
        this.sala_id = sala_id;
    }

    public int getGrupo_id() {
        return grupo_id;
    }

    public void setGrupo_id(int grupo_id) {
        this.grupo_id = grupo_id;
    }

    @Override
    public String toString() {
        return "Concierto{" +
                "id=" + id +
                ", fecha=" + fecha +
                ", precio=" + precio +
                ", es_festival=" + es_festival +
                ", sala_id=" + sala_id +
                ", grupo_id=" + grupo_id +
                '}';
    }
}
